/***********************************************************************
* Name:
*        xapipref.h
*
***********************************************************************/
#ifndef _H_XAPIPREF
#define _H_XAPIPREF

#include "custom.h"         /* Definitions for platform specific types */

#ifdef _NO_PROTO_
extern void        set_preferences();
extern BSA_UInt32  get_send_buff_size();
extern BSA_UInt32  get_recv_buff_size();
extern void        set_send_buff_size();
extern void        set_recv_buff_size();
extern BSA_Boolean get_verbose();
extern BSA_Boolean get_qry_detail();
extern void        set_verbose();
extern void        set_qry_detail();
extern char        *get_eyecatcher_copy();
extern void        set_eyecatcher();
extern BSA_Boolean is_equal_eyecatcher();
#else /* use ANSI C required prototypes */
extern void set_preferences();
extern BSA_UInt32  get_send_buff_size();
extern BSA_UInt32  get_recv_buff_size();
extern void        set_send_buff_size(BSA_UInt32 size);
extern void        set_recv_buff_size(BSA_UInt32 size);
extern BSA_Boolean get_verbose();
extern BSA_Boolean get_qry_detail();
extern void        set_verbose(BSA_Boolean verbose);
extern void        set_qry_detail(BSA_Boolean detail);
extern char        *get_eyecatcher_copy();
extern void        set_eyecatcher(char *eyecatcher);
extern BSA_Boolean is_equal_eyecatcher(char *eyecatcher);
#endif

#endif
