/***********************************************************************
* Name:
*        xapiqry.h
*
***********************************************************************/
#ifndef _H_XAPIPQRY
#define _H_XAPIPQRY
 
#include "custom.h"         /* Definitions for platform specific types */
#include "xapidef.h"        /* XOpen Sample API type definitions       */
#include "xapilist.h"       /* type definitions and prototypes for the */
                            /* object descriptor list                  */

#ifdef _NO_PROTO_
extern BSA_Int16 perform_query_object();
extern BSA_Int16 get_objectDesc_list();
extern void      print_descriptor_list();
#else /* use ANSI C required prototypes */
extern BSA_Int16 perform_query_object(dialog     *sel_dialog,
                                      BSA_UInt16 query_type);
extern BSA_Int16 get_objectDesc_list
                           (QueryDescriptor *queryDescriptorPtr,
                            TList           *objectDescListPtr);
extern void      print_descriptor_list(TList objectDescList);
#endif

#endif

